Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface VersionRecord

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  CatalogVersionRecord, ReportVersionRecord, ResultVersionRecord

    public interface VersionRecord

extends java.io.Serializable

Represent a version record. User can get infos about a version from corresponding version record.

Method Summary
`java.util.Date` | `getCreatedTime()` Get create time of this version.
`java.lang.String` | `getCreator()` Get creator of this version.
`java.lang.String` | `getRealPath()` Get real path of the version file, it may be a real path of a report file or a catalog file.
`java.lang.String` | `getResourcePath()` Return the resource path.
`java.lang.String` | `getVersionID()` Return the version ID.
`java.lang.String` | `getVersionName()` Get version name of this version.
`int` | `getVersionNumber()` Get version number of this version.

Method Detail

### getResourcePath

    java.lang.String getResourcePath()

  Return the resource path.

  Returns:
    the resource path.

### getVersionID

    java.lang.String getVersionID()

  Return the version ID.

  Returns:
    the version ID.

### getVersionNumber

    int getVersionNumber()

  Get version number of this version.

  Returns:
    version number

### getVersionName

    java.lang.String getVersionName()

  Get version name of this version.

  Returns:
    version name

### getCreatedTime

    java.util.Date getCreatedTime()

  Get create time of this version.

  Returns:
    create time of this version.

### getCreator

    java.lang.String getCreator()

  Get creator of this version.

  Returns:
    creator of this version

### getRealPath

    java.lang.String getRealPath()

  Get real path of the version file, it may be a real path of a report file or a catalog file.

  Returns:
    real path of the version file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD